<section class="grid-container grid-cols-1 gap-7 wrapper py-4 lg:py-12 lg:grid-cols-3">
  <div class="flex flex-col items-center justify-center py-10 px-3">
    <h3 class="text-h2.5 text-center font-serif mb-5">Browse <%= category.name %></h3>
    <%= render "shared/call_to_action", { label: "Browse", url: category } %>
  </div>

  <% products.each_with_index do |product, index| %>
    <%
      product_image = product.gallery.images.first
    %>

    <%= cache [I18n.locale, current_pricing_options, @taxon, product] do %>
      <%= link_to product_path(product) do %>
        <div class="relative bg-gray-50 overflow-hidden rounded-lg h-full md:rounded-xl lg:rounded-2xl bg-white align-bottom force-text-black">
          <%= render(ImageComponent.new(
            image: product_image,
            class: 'w-full object-cover',
            size: :full,
          )) %>
          <div class="bottom-0 left-0 right-0 flex flex-col items-start w-full gap-y-1 p-3 !pt-0 md:p-6 md:flex-row md:justify-between md:items-center md:gap-y-0 md:gap-x-2">
            <span class="w-full text-body-med">
              <%= product.name %>
            </span>
            <span class="text-body-sm md:text-body font-sans-md price selling">
              <%= product.display_price %>
            </span>
          </div>
        </div>
      <% end %>
    <% end %>
  <% end %>
</section>
